Subject: Re: [bug#75270] [PATCH v3 1/3] services: greetd: Improve greeter configurations.

From: muradm <[email-masked]>
Date: Sat, 11 Jan 2025 17:10:18 +0300

"pelzflorian (Florian Pelz)" <[email-masked]> writes:

>> -@item @code{sway-configuration} (default: #f)
>> -File-like object providing an additional Sway configuration 
>> file to be
>> -prepended to the mandatory part of the configuration.
>> +@item @code{sway-config} (default: @code{(plain-file 
>> "greetd-wlgreet-sway-config" "")})
>> +Extra configuration for sway to be included before executing 
>> greeter.
>
> Could you retain the name of the existing field 
> sway-configuration?
> Using abbreviations is uncommon in Guix, I think,
> [...]
> Also sway-configuration is used in many examples in the Guix
> manual.

I'm not sure if it is so strict, there are a lot of places where 
'config' is used. Is there a guideline for naming?
On the other hand `sway-config` is used deliberately in order to 
distinguish it from `<sway-configuration>` under `(gnu home 
services sway)`.
Also type of value here is not a fully blown serializable data 
structure, but a file like object having contents of 
`sway.config`.

> but more importantly changes would need to go through a 
> deprecation
> period with a news item and such, because the Guix API is stable 
> and
> we have a deprecation policy.

I don't think that it is worth it. IMHO `wlgreet` is not much in 
use, since it is broken for quite time.
Is there a threshold for when we have to strictly complicate stuff 
with deprecation tools?

>> +@item @code{wlgreet} (default: @code{wlgreet})
>> +The package with the @command{/bin/wlgreet} command.
>> +
>> +@item @code{wlgreet-config} (default: 
>> @code{(greetd-wlgreet-configuration)})
>> +Configuration of @code{wlgreet} represented by 
>> @code{greetd-wlgreet-configuration}.
>
> For analogy, I would name this wlgreet-configuration.

That could be done if necessary.